/*
 * #%L
 * Maven helper plugin
 * 
 * $Id: RestRequestBuilder.java 701 2010-04-15 14:01:44Z tchemit $
 * $HeadURL: http://svn.nuiton.org/svn/maven-helper-plugin/tags/maven-helper-plugin-1.2.7/src/main/java/org/nuiton/io/rest/RestRequestBuilder.java $
 * %%
 * Copyright (C) 2009 - 2010 CodeLutin
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as 
 * published by the Free Software Foundation, either version 3 of the 
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Lesser Public License for more details.
 * 
 * You should have received a copy of the GNU General Lesser Public 
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/lgpl-3.0.html>.
 * #L%
 */

package org.nuiton.io.rest;

/**
 * The contract of a request builder.
 *
 * @author tchemit <chemit@codelutin.com>
 * @since 1.0.3
 */
public interface RestRequestBuilder {

    /** @return the unique name of the request builder */
    String getName();

    /**
     * Create the request given the {@code args}.
     *
     * @param args args to create the request
     * @return the created request
     */
    RestRequest create(Object... args);
}
